Template Numerical Library: TNL::Solvers::GinkgoConvergenceLoggerMonitor< ValueType, IndexType > Class Template Reference

Template Numerical Library version\ main:be7e16d88

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
TNL::Solvers::GinkgoConvergenceLoggerMonitor< ValueType, IndexType > Class Template Reference
Wrappers for the Ginkgo library

A Ginkgo Convergence logger with a TNL iterative solver monitor. More...

`#include <TNL/Solvers/GinkgoConvergenceLoggerMonitor.h>`

Inheritance diagram for TNL::Solvers::GinkgoConvergenceLoggerMonitor< ValueType, IndexType >:
[legend]
Collaboration diagram for TNL::Solvers::GinkgoConvergenceLoggerMonitor< ValueType, IndexType >:
[legend]

## Public Member Functions
| GinkgoConvergenceLoggerMonitor (const gko::log::Logger::mask_type &enabled_events=gko::log::Logger::all_events_mask, IterativeSolverMonitor< ValueType > *solver_monitor=nullptr)
| GinkgoConvergenceLoggerMonitor (std::shared_ptr< const gko::Executor > exec, const gko::log::Logger::mask_type &enabled_events=gko::log::Logger::all_events_mask, IterativeSolverMonitor< ValueType > *solver_monitor=nullptr)
void | on_criterion_check_completed (const gko::stop::Criterion *criterion, const gko::size_type &num_iterations, const gko::LinOp *r, const gko::LinOp *tau, const gko::LinOp *implicit_tau_sq, const gko::LinOp *x, const gko::uint8 &stopping_id, const bool &set_finalized, const gko::array< gko::stopping_status > *status, const bool &one_changed, const bool &all_converged) const override
void | on_criterion_check_completed (const gko::stop::Criterion *criterion, const gko::size_type &num_iterations, const gko::LinOp *r, const gko::LinOp *tau, const gko::LinOp *x, const gko::uint8 &stopping_id, const bool &set_finalized, const gko::array< gko::stopping_status > *status, const bool &one_changed, const bool &all_converged) const override
void | set_solver_monitor (IterativeSolverMonitor< ValueType > *solver_monitor)

## Static Public Member Functions
static std::unique_ptr< GinkgoConvergenceLoggerMonitor > | create (const gko::log::Logger::mask_type &enabled_events=gko::log::Logger::all_events_mask, IterativeSolverMonitor< ValueType > *solver_monitor=nullptr)
static std::unique_ptr< GinkgoConvergenceLoggerMonitor > | create (std::shared_ptr< const gko::Executor > exec, const gko::log::Logger::mask_type &enabled_events=gko::log::Logger::all_events_mask, IterativeSolverMonitor< ValueType > *solver_monitor=nullptr)

## Detailed Description

template<typename ValueType = gko::default_precision, typename IndexType = int>
class TNL::Solvers::GinkgoConvergenceLoggerMonitor< ValueType, IndexType >

A Ginkgo Convergence logger with a TNL iterative solver monitor.

The documentation for this class was generated from the following file:

- src/TNL/Solvers/GinkgoConvergenceLoggerMonitor.h